createCorrelationStructure <- function(p, method = "cs", rho = 0.5) {
  #- Create Correlation Structure:
  if(method == "cs") {
    # Compound symmetry
    V <- matrix(rho, nrow = p, ncol = p)
    diag(V) <- 1
  } else if (method == "ar") {
    # Autoregressive
    V <- matrix(0, ncol = p, nrow = p)
    for(index in 1:p){
      V[index, ] <-
        c(rev(cumprod(rep(rho, index - 1))), 
          1, 
          cumprod(rep(rho, p - index)))
    }; rm(index)
  } else if (method == "ind") {
    # Independence
    V <- diag(p)
  }
  return(V)
}